Message: Possible issue instaling G4 with Inventor? Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Possible issue instaling G4 with Inventor? 

Forum: Installation and Configuration
Date: 11 Aug, 2015
From: Carlos Ayerbe Gayoso <Carlos Ayerbe Gayoso>

Greetings Geanters

I'd like to expose a possible issue instaling G4.10.01.p02 with Inventor. After some problems installing COIN3D (withoput freetypes, I think there was some issues with the compiler), I was able to install it and G4 cmake get it. But when I run the G4 installation (make) I got some issues compiling G4OpenInventorXtExtendedViewer.cc (mainly)

The output from the starting point of the problem (it is not the whole output)

   Attachment:
      http://hypernews.slac.stanford.edu/HyperNews/geant4/get/AUX/2015/08/11/21.59-48771-output.txt

The source of errors is always

error: ‘class G4OpenInventorXtExaminerViewer’ has no member named ‘addSuperimposition’
    this->addSuperimposition(this->superimposition);


error: ‘class G4OpenInventorXtExaminerViewer’ has no member named ‘setSuperimpositionEnabled’
    this->setSuperimpositionEnabled(this->superimposition, FALSE);

which are declared nowhere.

I don't really need Inventor, but since it was an option I tried.

I'm running over Fedora 22 and GCC 5.1.1

It could be interesting know where is the possible problem

Thank you

Carlos

 Add Message Add Message
to: "Possible issue instaling G4 with Inventor?"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]